<script setup>
import {inject, ref} from "vue";
import axios from "axios";

const form = inject('form');
const options = form.numbers;
const parameter = ref({
    text: null,
    min: null,
    max: null,
});
const addItem = () => {
    options.push({ ...parameter.value });
};

const deleteItem = (key,item) => {
    axios.post(route('admin.number-features.delete',{featuresNumber:item.id}));
    options.splice(key, 1);
};
</script>
<template>
    <h2 class="parametres-template__subtitle">Числительные</h2>
    <div
        v-for="(item, key) of options"
        :key="key"
        class="parametres-template__item item-parametres-template mb-4 mr-3"
    >
        <div class="item-parametres-template__text ">
            <input
                type="text"
                class="form-control"
                placeholder="Наименование особенности"
                aria-label="Username"
                v-model="item.text"
            />
        </div>
        <div class="item-parametres-template__range">
            <div class="item-parametres-template__min">
                <input
                    type="text"
                    class="form-control"
                    placeholder="min"
                    aria-label="Username"
                    v-model="item.min"
                />
            </div>
            <div class="item-parametres-template__max">
                <input
                    type="text"
                    class="form-control"
                    placeholder="min"
                    aria-label="Username"
                    v-model="item.max"
                />
            </div>
        </div>
        <div class="item-parametres-template__del">
            <button
                @click="deleteItem(key,item)"
                type="button"
                class="btn btn-danger"
            >
                Удалить
            </button>
        </div>
    </div>

    <button
        @click="addItem"
        type="button"
        class="btn btn-secondary parametres-template__add"
    >
        Добавить
    </button>
</template>


